Date: Thu, 29 Apr 2021 22:16:19 -0500
Subject: [PATCH] utils: MAC-to-MAC on Port 4

---
 .../utils/V1/enet_appboardutils_j721e_evm.c   | 26 +++++++++----------
 1 file changed, 13 insertions(+), 13 deletions(-)

diff --git a/examples/utils/V1/enet_appboardutils_j721e_evm.c b/examples/utils/V1/enet_appboardutils_j721e_evm.c
index 82a54f5..e6076c8 100644
--- a/examples/utils/V1/enet_appboardutils_j721e_evm.c
+++ b/examples/utils/V1/enet_appboardutils_j721e_evm.c
@@ -624,24 +624,24 @@ void EnetBoard_setPhyConfig(Enet_Type enetType,
             break;
 
         case ENET_CPSW_9G:
-            if ( ENET_MAC_PORT_1 == portNum ||
-                 ENET_MAC_PORT_3 == portNum ||
-                 ENET_MAC_PORT_4 == portNum ||
-                 ENET_MAC_PORT_8 == portNum )
+            if (ENET_MAC_PORT_1 == portNum)
             {
+                /* Set port configuration for PHY connected to MAC port 1 */
                 EnetBoard_setPhyConfigRgmii(enetType,
-                                                    portNum,
-                                                    macCfg,
-                                                    interface,
-                                                    phyCfg);
+                                            portNum,
+                                            macCfg,
+                                            interface,
+                                            phyCfg);
+            }
+            else if (ENET_MAC_PORT_4 == portNum)
+            {
+                /* Set port configuration for PHY-less MAC-to-MAC port 4 connection */
+                EnetAppUtils_setNoPhyCfgRgmii(interface, phyCfg);
             }
             else
             {
-                EnetBoard_setPhyConfigQsgmii(enetType,
-                                                     portNum,
-                                                     macCfg,
-                                                     interface,
-                                                     phyCfg);
+                EnetAppUtils_print("Port %u is not connected on this board\n",
+                                   ENET_MACPORT_ID(portNum));
             }
             break;
 
-- 
2.17.1

